*DO* really check the pattern dir. Those are supposed to be building blocks for
your applications.

Utils source files support the "One Compilation Model" by default, hence, love
must be given to namespaces. If you want to contain ulinux utils code into
their own compilation units, globally define ULINUX_UTILS_EXTERNAL
